OpenTTD Source: SlCompanyLiveries Class Reference

OpenTTD Source 15.0-beta1

Public Member Functions | Static Public Attributes
SlCompanyLiveries Class Reference
Inheritance diagram for SlCompanyLiveries:

## Public Member Functions
size_t | GetNumLiveries () const
| Get the number of liveries used by this savegame version.
void | Save (CompanyProperties *c) const override
void | Load (CompanyProperties *c) const override
void | LoadCheck (CompanyProperties *c) const override
Public Member Functions inherited from DefaultSaveLoadHandler< SlCompanyLiveries, CompanyProperties >
SaveLoadTable | GetDescription () const override
| Get the description of the fields in the savegame.
SaveLoadCompatTable | GetCompatDescription () const override
| Get the pre-header description of the fields in the savegame.
void | Save (void *object) const override
| Save the object to disk.
void | Load (void *object) const override
| Load the object from disk.
void | LoadCheck (void *object) const override
| Similar to load, but used only to validate savegames.
virtual void | FixPointers (CompanyProperties *object) const
void | FixPointers (void *object) const override
| A post-load callback to fix SL_REF integers into pointers.
Public Member Functions inherited from SaveLoadHandler
SaveLoadTable | GetLoadDescription () const
| Get the description for how to load the chunk.

## Static Public Attributes
static const SaveLoad | description []
static const SaveLoadCompatTable | compat_description = _company_liveries_compat

## Additional Inherited Members
Data Fields inherited from SaveLoadHandler
std::optional< std::vector< SaveLoad > > | load_description

## Detailed Description

Definition at line 380 of file company_sl.cpp.

## Member Function Documentation

## ◆ GetNumLiveries()

size_t SlCompanyLiveries::GetNumLiveries | ( |  | ) | const
| inline

Get the number of liveries used by this savegame version.

Returns
  The number of liveries used by this savegame version.

Definition at line 393 of file company_sl.cpp.

References IsSavegameVersionBefore(), SlGetStructListLength(), SLV_63, SLV_85, and SLV_SAVELOAD_LIST_LENGTH.

## ◆ Load()

void SlCompanyLiveries::Load | ( | CompanyProperties * | c | ) | const
| inlineoverridevirtual

Reimplemented from DefaultSaveLoadHandler< SlCompanyLiveries, CompanyProperties >.

Definition at line 410 of file company_sl.cpp.

## ◆ LoadCheck()

void SlCompanyLiveries::LoadCheck | ( | CompanyProperties * | c | ) | const
| inlineoverridevirtual

Reimplemented from DefaultSaveLoadHandler< SlCompanyLiveries, CompanyProperties >.

Definition at line 441 of file company_sl.cpp.

## ◆ Save()

void SlCompanyLiveries::Save | ( | CompanyProperties * | c | ) | const
| inlineoverridevirtual

Reimplemented from DefaultSaveLoadHandler< SlCompanyLiveries, CompanyProperties >.

Definition at line 402 of file company_sl.cpp.

## Field Documentation

## ◆ compat_description

const SaveLoadCompatTable SlCompanyLiveries::compat_description = _company_liveries_compat
| inlinestatic

Definition at line 387 of file company_sl.cpp.

## ◆ description

const SaveLoad SlCompanyLiveries::description[]
| inlinestatic

Initial value:
= {
SLE_CONDVAR(Livery, in_use, SLE_UINT8, SLV_34, SL_MAX_VERSION),
SLE_CONDVAR(Livery, colour1, SLE_UINT8, SLV_34, SL_MAX_VERSION),
SLE_CONDVAR(Livery, colour2, SLE_UINT8, SLV_34, SL_MAX_VERSION),
}
SLE_CONDVAR
#define SLE_CONDVAR(base, variable, type, from, to)
Storage of a variable in some savegame versions.
Definition saveload.h:868
SLV_34
@ SLV_34
34 6455
Definition saveload.h:83
SL_MAX_VERSION
@ SL_MAX_VERSION
Highest possible saveload version.
Definition saveload.h:399
Livery
Information about a particular livery.
Definition livery.h:78

Definition at line 382 of file company_sl.cpp.

The documentation for this class was generated from the following file:

- src/saveload/company_sl.cpp